function fig = rcInspectGUI(varargin)
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
% This problem is solved by saving the output as a FIG-file.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.
% 
% NOTE: certain newer features in MATLAB may not have been saved in this
% M-file due to limitations of this format, which has been superseded by
% FIG-files.  Figures which have been annotated using the plot editor tools
% are incompatible with the M-file/MAT-file format, and should be saved as
% FIG-files.

load rcInspectGUI

h0 = figure('Units','characters', ...
	'Color',[0.8 0.8 0.8], ...
	'Colormap',mat0, ...
	'DoubleBuffer','on', ...
	'FileName','C:\MATLABR11\work\fvt\view\gui\rcInspectGUI.m', ...
	'KeyPressFcn','dokeypress(gcbf)', ...
	'PaperPosition',[18 180 576 432], ...
	'PaperUnits','points', ...
	'Position',mat1, ...
	'Renderer','zbuffer', ...
	'RendererMode','manual', ...
	'ResizeFcn','doresize(gcbf)', ...
	'Tag','Fig1', ...
	'ToolBar','figure', ...
	'UserData',mat2, ...
	'DefaultaxesCreateFcn','plotedit(gcbf,''promoteoverlay''); ');
h1 = uimenu('Parent',h0, ...
	'HandleVisibility','off', ...
	'Tag','ScribeHGBinObject', ...
	'Visible','off');
h1 = uimenu('Parent',h0, ...
	'HandleVisibility','off', ...
	'Tag','ScribeFigObjStorage', ...
	'Visible','off');
h1 = uimenu('Parent',h0, ...
	'HandleVisibility','off', ...
	'Tag','ScribeHGBinObject', ...
	'Visible','off');
h1 = uimenu('Parent',h0, ...
	'HandleVisibility','off', ...
	'Tag','ScribeHGBinObject', ...
	'Visible','off');
h1 = uimenu('Parent',h0, ...
	'HandleVisibility','off', ...
	'Tag','ScribeHGBinObject', ...
	'Visible','off');
h1 = uimenu('Parent',h0, ...
	'HandleVisibility','off', ...
	'Tag','ScribeHGBinObject', ...
	'Visible','off');
h1 = uimenu('Parent',h0, ...
	'HandleVisibility','off', ...
	'Tag','ScribeFigObjStorage', ...
	'Visible','off');
h1 = uimenu('Parent',h0, ...
	'HandleVisibility','off', ...
	'Tag','ScribeHGBinObject', ...
	'Visible','off');
h1 = uimenu('Parent',h0, ...
	'HandleVisibility','off', ...
	'Tag','ScribeFigObjStorage', ...
	'Visible','off');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'ListboxTop',0, ...
	'Position',mat3, ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'ListboxTop',0, ...
	'Position',[0.31015625 -0.06357758620689655 0.17734375 0.1433189655172414], ...
	'Style','frame', ...
	'Tag','Frame2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'ListboxTop',0, ...
	'Position',mat4, ...
	'Style','frame', ...
	'Tag','Frame3');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'ListboxTop',0, ...
	'Position',[0.81015625 0 0.153125 0.09051724137931035], ...
	'Style','frame', ...
	'Tag','Frame4');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','rcInspectCB CLNumber', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[0.1265625 0.01616379310344828 0.03046875 0.01831896551724138], ...
	'String','1', ...
	'Style','edit', ...
	'Tag','CLEditText');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'Callback','rcInspectCB TPrevious', ...
	'FontSize',10, ...
	'ListboxTop',0, ...
	'Position',[0.8148437500000001 0.02047413793103448 0.05390625 0.02047413793103448], ...
	'String','Previous', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'Callback','rcInspectCB TNext', ...
	'FontSize',10, ...
	'ListboxTop',0, ...
	'Position',[0.9015625 0.02047413793103448 0.03671875 0.01831896551724138], ...
	'String','Next', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','rcInspectCB TNumber', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[0.8695312500000001 0.02262931034482759 0.02890625 0.01724137931034483], ...
	'String','1', ...
	'Style','edit', ...
	'Tag','TEditText');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'FontSize',10, ...
	'ListboxTop',0, ...
	'Position',mat5, ...
	'String','Number:', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'Callback','rcInspectCB OPrevious', ...
	'FontSize',10, ...
	'ListboxTop',0, ...
	'Position',[0.58359375 0.01939655172413793 0.04765625 0.02155172413793104], ...
	'String','Previous', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'Callback','rcInspectCB ONext', ...
	'FontSize',10, ...
	'ListboxTop',0, ...
	'Position',[0.6890625 0.02155172413793104 0.04375 0.01939655172413793], ...
	'String','Next', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','rcInspectCB ONumber', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[0.6414062500000001 0.01939655172413793 0.03515625 0.02047413793103448], ...
	'String','1', ...
	'Style','edit', ...
	'Tag','OEditText');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'FontSize',10, ...
	'ListboxTop',0, ...
	'Position',mat6, ...
	'String','Number:', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'Callback','rcInspectCB CLPrevious', ...
	'FontSize',10, ...
	'ListboxTop',0, ...
	'Position',[0.0671875 0.01616379310344828 0.05 0.01831896551724138], ...
	'String','Previous', ...
	'Tag','CLPushbutton');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'Callback','rcInspectCB CLNext', ...
	'FontSize',10, ...
	'ListboxTop',0, ...
	'Position',[0.16015625 0.01616379310344828 0.0359375 0.01831896551724138], ...
	'String','Next', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'FontSize',10, ...
	'ListboxTop',0, ...
	'Position',[0.11796875 0.03556034482758621 0.04296875 0.01616379310344828], ...
	'String','Number:', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'FontSize',12, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[0.8187500000000001 0.06034482758620689 0.065625 0.01724137931034483], ...
	'String','Time Bin', ...
	'Style','text', ...
	'Tag','StaticText5');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'FontSize',12, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[0.32265625 0.05387931034482758 0.04140625000000001 0.02047413793103448], ...
	'String','Color', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'FontSize',12, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[0.5859375 0.05603448275862069 0.07109375 0.01831896551724138], ...
	'String','Orientation', ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'FontSize',12, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[0.06796875000000001 0.04849137931034483 0.0484375 0.01831896551724138], ...
	'String','Cluster', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'FontSize',10, ...
	'ListboxTop',0, ...
	'Position',[0.37265625 0.03879310344827586 0.040625 0.01616379310344828], ...
	'String','Number:', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','rcInspectCB CONumber', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[0.37421875 0.02047413793103448 0.03359375 0.01724137931034483], ...
	'String','1', ...
	'Style','edit', ...
	'Tag','COEditText');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'Callback','rcInspectCB CONext', ...
	'FontSize',10, ...
	'ListboxTop',0, ...
	'Position',[0.41640625 0.01939655172413793 0.0296875 0.02047413793103448], ...
	'String','Next', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'Callback','rcInspectCB COPrevious', ...
	'FontSize',10, ...
	'ListboxTop',0, ...
	'Position',[0.31953125 0.01939655172413793 0.05078125 0.01939655172413793], ...
	'String','Previous', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'ListboxTop',0, ...
	'Position',[0 0.1680584551148225 0.13515625 0.324634655532359], ...
	'Style','frame', ...
	'Tag','Frame5');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'Callback','rcInspectCB Interpolate', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[0.004687500000000001 0.3394396551724138 0.11015625 0.0334051724137931], ...
	'String','Interpolate', ...
	'Style','checkbox', ...
	'Tag','InterpolateCheckbox');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'Callback','closereq', ...
	'FontSize',10, ...
	'ListboxTop',0, ...
	'Position',mat7, ...
	'String','Quit', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'Callback','rcInspectCB Load', ...
	'FontSize',10, ...
	'ListboxTop',0, ...
	'Position',mat8, ...
	'String','Load', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'Callback','rcInspectCB Entire', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[0.004687500000000001 0.3933189655172414 0.1265625 0.0290948275862069], ...
	'String','All Receptive Fields', ...
	'Style','checkbox', ...
	'Tag','EntireCheckbox');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','rcInspectCB bins_per_stepCB', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[0.07187500000000001 0.4482758620689655 0.04765625 0.0290948275862069], ...
	'String','30', ...
	'Style','edit', ...
	'Tag','bins_per_stepEditText');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[0.00703125 0.4515086206896552 0.06015625 0.02370689655172414], ...
	'String','Bin Size', ...
	'Style','text', ...
	'Tag','StaticText6');
h1 = uicontextmenu('Parent',h0, ...
	'Callback','domymenu update', ...
	'HandleVisibility','off', ...
	'Tag','ScribeAxisObjContextMenu');
h2 = uimenu('Parent',h1, ...
	'Callback','domymenu cut', ...
	'HandleVisibility','off', ...
	'Label','Cu&t', ...
	'Tag','ScribeAxisObjCutMenu');
h2 = uimenu('Parent',h1, ...
	'Callback','domymenu copy', ...
	'HandleVisibility','off', ...
	'Label','&Copy', ...
	'Tag','ScribeAxisObjCopyMenu');
h2 = uimenu('Parent',h1, ...
	'Callback','domymenu paste', ...
	'Enable','off', ...
	'HandleVisibility','off', ...
	'Label','&Paste', ...
	'Tag','ScribeAxisObjPasteMenu');
h2 = uimenu('Parent',h1, ...
	'Callback','domymenu clear', ...
	'HandleVisibility','off', ...
	'Label','Clea&r', ...
	'Tag','ScribeAxisObjClearMenu');
h2 = uimenu('Parent',h1, ...
	'Callback','domymenu showlegend', ...
	'HandleVisibility','off', ...
	'Label','Show Le&gend', ...
	'Separator','on', ...
	'Tag','ScribeAxisObjShowLegendMenu');
h2 = uimenu('Parent',h1, ...
	'Callback','domymenu moveresize', ...
	'HandleVisibility','off', ...
	'Label','Unloc&k Axes Position', ...
	'Separator','on', ...
	'Tag','ScribeAxisObjMoveResizeMenu');
h2 = uimenu('Parent',h1, ...
	'Callback','domymenu more', ...
	'HandleVisibility','off', ...
	'Label','Properties...', ...
	'Separator','on', ...
	'Tag','ScribeAxischildObjMoreMenu');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.925490196078431 0.913725490196078 0.847058823529412], ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[0.3984375 0.05495689655172414 0.08828125000000001 0.01724137931034483], ...
	'String','light luminance', ...
	'Style','text', ...
	'Tag','ColorText');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.925490196078431 0.913725490196078 0.847058823529412], ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[0.6570312500000001 0.05711206896551724 0.07734375 0.01724137931034483], ...
	'String','0 degrees', ...
	'Style','text', ...
	'Tag','OrientationText');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[0.8828125 0.05495689655172414 0.078125 0.01939655172413793], ...
	'String','0-30 msec', ...
	'Style','text', ...
	'Tag','TimeText');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',12, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[0.16015625 0.9655172413793103 0.7093750000000001 0.02693965517241379], ...
	'String',mat9, ...
	'Style','text', ...
	'Tag','Title_box');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','rcInspectCB Entire', ...
	'Position',[0.01171875 0.5237068965517241 0.10625 0.05818965517241379], ...
	'String',mat10, ...
	'Style','listbox', ...
	'Tag','DisplayModeListBox', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[0.02421875 0.5840517241379311 0.08125 0.01939655172413793], ...
	'String','Display Mode', ...
	'Style','text', ...
	'Tag','StaticText7');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[0.003125 0.6433189655172413 0.14609375 0.06142241379310345], ...
	'String',mat11, ...
	'Style','text', ...
	'Tag','DegreeTextbox');
if nargout > 0, fig = h0; end

obj = varargin{1};
s.obj = obj;
s.clev = event(1,obj.clusters);
s.coev = event(1,obj.num_colors);
s.oev = event(1,obj.num_orientations);
h = gcf;
handle = findobj(h,'Tag','bins_per_stepEditText');
bins_per_step = str2num(get(handle,'String'));
num_steps = floor(s.obj.window_size/bins_per_step);
s.tev = event(1,num_steps);
show_revcorr_individual(s.obj,1,1,1,1,bins_per_step);
set(gcf,'UserData',s);
